CGAL 5.6.3 - 2D Triangulations

Loading...
Searching...
No Matches
List of all members | Public Types
RegularTriangulationVertexBase_2 Concept Reference
2D Triangulations Reference » Concepts

## Definition

The regular triangulation of a set of weighted points does not necessarily have one vertex for each of the input points. Some of the input weighted points have no cell in the dual power diagrams and therefore do not correspond to a vertex of the regular triangulation. Those weighted point are said to be hidden points. A point which is hidden at a given time may appear later as a vertex of the regular triangulation upon removal on some other weighted point. Therefore, hidden points have to be stored somewhere. The regular triangulation store those hidden points in special vertices called hidden vertices.

A hidden point can appear as vertex of the triangulation only when the two dimensional face where its point component is located (the face which hides it) is removed. Therefore we decided to store in each face of a regular triangulation the list of hidden vertices whose points are located in the face. Thus points hidden by a face are easily reinserted in the triangulation when the face is removed.

The base vertex of a regular triangulation has to be a model of the concept `RegularTriangulationVertexBase_2` . The concept `RegularTriangulationVertexBase_2` refines the concept `TriangulationVertexBase_2`, just adding a Boolean to mark if the vertex is a vertex of the triangulation or a hidden vertex.

Refines
  `TriangulationVertexBase_2`

Has Models:
  `CGAL::Regular_triangulation_vertex_base_2`

See also
  `TriangulationVertexBase_2`
  `CGAL::Regular_triangulation_vertex_base_2`

## Public Types
typedef unspecified_type | Point
| Must be the same as the point type `RegularTriangulationTraits_2::Weighted_point_2` defined by the geometric traits class of the triangulation.

## Access Functions
bool | is_hidden ()
| returns `true`, iff the vertex is hidden.
void | set_hidden (bool b)
| Mark the vertex as hidden or as not hidden.